FastAPIServer.FastAPIServer(3)

NAME
FastAPIServer.FastAPIServer

SYNOPSIS

  Public Member Functions
def __init__ (self, config)
def compile_static_files (self)
None use_route_names_as_operation_ids (self, FastAPI app)
def index (Request request, int skip=0, int limit=10)
def books (Request request, int skip=0, int limit=10, collection=None)
def book (Request request, int book_id)
def collections (Request request)
def run (self)

  Public Attributes
config
fe_config
fe_server

Detailed Description

Entry point for FastAPI server.

Constructor & Destructor Documentation

  def FastAPIServer.FastAPIServer.__init__ ( self, config)

Initialize FastAPIServer object parameters.

Member Function Documentation

  def FastAPIServer.FastAPIServer.book (Request request, int book_id)

  def FastAPIServer.FastAPIServer.books (Request request, int skip = 0, int limit = 10, collection = None)

  def FastAPIServer.FastAPIServer.collections (Request request)

  def FastAPIServer.FastAPIServer.compile_static_files ( self)

Compile static files for web frontend.

  def FastAPIServer.FastAPIServer.index (Request request, int skip = 0, int limit = 10)

  def FastAPIServer.FastAPIServer.run ( self)

Front end server entrypoint.

  None FastAPIServer.FastAPIServer.use_route_names_as_operation_ids ( self, FastAPI app)

Use route name as operation id.

Member Data Documentation

  FastAPIServer.FastAPIServer.config

  FastAPIServer.FastAPIServer.fe_config

  FastAPIServer.FastAPIServer.fe_server

Author

Generated automatically by Doxygen for pyShelf Open Source Ebook Server from the source code.